+--------------------------------------------------------------------------------------------------------------------+--------------------------------+----------------------+-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| **Procrustes Type**                                                                                                | :math:`\mathbf{S}`             | :math:`\mathbf{T}`   | Constraints                                                                                                                                                                                                                                                     |
+--------------------------------------------------------------------------------------------------------------------+--------------------------------+----------------------+-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| :ref:`Generic <generic>`  :cite:`GPA_Gower`                                                                        | :math:`\mathbf{I}`             | :math:`\mathbf{T}`   | None                                                                                                                                                                                                                                                            |
+--------------------------------------------------------------------------------------------------------------------+--------------------------------+----------------------+-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| :ref:`Orthogonal <orthogonal>` :cite:`opp:1,opp:2,book1:gower2004procrustes`                                       | :math:`\mathbf{I}`             | :math:`\mathbf{Q}`   | :math:`{\mathbf{Q}^{-1} = {\mathbf{Q}}^\dagger}`                                                                                                                                                                                                                |
+--------------------------------------------------------------------------------------------------------------------+--------------------------------+----------------------+-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| :ref:`Rotational <rotational>` :cite:`book1:gower2004procrustes,rot:brokken1983orthogonal,farrell1966least`        | :math:`\mathbf{I}`             | :math:`\mathbf{R}`   | :math:`\begin{cases} \mathbf{R}^{-1} = {\mathbf{R}}^\dagger \\ \left | \mathbf{R} \right | = 1 \\ \end{cases}`                                                                                                                                                  |
+--------------------------------------------------------------------------------------------------------------------+--------------------------------+----------------------+-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| :ref:`Symmetric <symmetric>` :cite:`symmetric:1,escalante1998dykstra,peng2008m`                                    | :math:`\mathbf{I}`             | :math:`\mathbf{X}`   | :math:`\mathbf{X} = \mathbf{X}^\dagger`                                                                                                                                                                                                                         |
+--------------------------------------------------------------------------------------------------------------------+--------------------------------+----------------------+-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| :ref:`Permutation <permutation>` :cite:`zadeh2013molecular`                                                        | :math:`\mathbf{I}`             | :math:`\mathbf{P}`   | :math:`\begin{cases} [\mathbf{P}]_{ij} \in \{0, 1\} \\ \sum_{i=1}^n [\mathbf{P}]_{ij} = \sum_{j=1}^n [\mathbf{P}]_{ij} = 1 \\ \end{cases}`                                                                                                                      |
+--------------------------------------------------------------------------------------------------------------------+--------------------------------+----------------------+-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| :ref:`Two-sided Orthogonal <orthogonal>` :cite:`two_sided_ortho:1`                                                 | :math:`\mathbf{Q}_1^\dagger`   | :math:`\mathbf{Q}_2` | :math:`\begin{cases} \mathbf{Q}_1^{-1} = \mathbf{Q}_1^\dagger \\ \mathbf{Q}_2^{-1} = \mathbf{Q}_2^\dagger \\ \end{cases}`                                                                                                                                       |
+--------------------------------------------------------------------------------------------------------------------+--------------------------------+----------------------+-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| :ref:`Two-sided Orthogonal with One Transformation <orthogonal>` :cite:`two_sided_ortho_1trans:umeyama`            | :math:`\mathbf{Q}^{\dagger}`   | :math:`\mathbf{Q}`   | :math:`\mathbf{Q}^{-1} = \mathbf{Q}^\dagger`                                                                                                                                                                                                                    |
+--------------------------------------------------------------------------------------------------------------------+--------------------------------+----------------------+-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| :ref:`Two-sided Permutation <permutation>` :cite:`two_sided_permutation:1`                                         | :math:`\mathbf{P}_1^{\dagger}` | :math:`\mathbf{P}_2` | :math:`\begin{cases} [\mathbf{P}_1]_{ij} \in \{0, 1\} \\ [\mathbf{P}_2]_{ij} \in \{0, 1\} \\ \sum_{i=1}^n [\mathbf{P}_1]_{ij} = \sum_{j=1}^n [\mathbf{P}_1]_{ij} = 1 \\ \sum_{i=1}^n [\mathbf{P}_2]_{ij} = \sum_{j=1}^n [\mathbf{P}_2]_{ij} = 1 \\ \end{cases}` |
+--------------------------------------------------------------------------------------------------------------------+--------------------------------+----------------------+-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| :ref:`Two-sided Permutation with One Transformation <permutation>` :cite:`opp:1,ding2008nonnegative`               | :math:`\mathbf{P}^{\dagger}`   | :math:`\mathbf{P}`   | :math:`\begin{cases} [\mathbf{P}]_{ij} \in \{0, 1\} \\ \sum_{i=1}^n [\mathbf{P}]_{ij} = \sum_{j=1}^n [\mathbf{P}]_{ij} = 1 \\ \end{cases}`                                                                                                                      |
+--------------------------------------------------------------------------------------------------------------------+--------------------------------+----------------------+-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
